ClickUp

Integrate your application with the ClickUp API

🚀 Quickstart

Connect to ClickUp with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> ClickUp. Tenklo doesn't provide a test OAuth app for ClickUp yet. You'll need to set up your own by following these instructions. After that, make sure to add the OAuth client ID and secret in the integration settings in Tenklo.

Authorize ClickUp

Go to Connections -> Add Test Connection -> Authorize, then log in to ClickUp. Later, you'll let your users do the same directly from your app.

Call the ClickUp API

Let's make your first request to the ClickUp API (fetch the profile of the currently signed-in user). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/v2/user" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials dynamically via the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 ClickUp Integration Guides

Tenklo maintained guides for common use cases.

Official docs: ClickUp API docs

🧩 Pre-built syncs & actions for ClickUp

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-commentCreate a comment in ClickUp on a task or listAction🔗 Github
create-folderCreate a folder in ClickUp.Action🔗 Github
create-goalCreate a goal in ClickUpAction🔗 Github
create-listCreate a list in ClickUpAction🔗 Github
create-spaceCreate a space in ClickUp.Action🔗 Github
create-taskCreate a task in ClickUpAction🔗 Github
create-time-entryCreate a time entry in ClickUpAction🔗 Github
delete-commentDelete a comment in ClickUpAction🔗 Github
delete-folderDelete a folder in ClickUpAction🔗 Github
delete-goalDelete a goal in ClickUpAction🔗 Github
delete-listDelete a list in ClickUp. This is a permanent delete and all tasks inside the list are also deleted.Action🔗 Github
delete-spaceDelete a space in ClickUpAction🔗 Github
delete-taskDelete a task in ClickUpAction🔗 Github
delete-time-entryDelete a time entry in ClickUpAction🔗 Github
get-folderRetrieve a single folder from ClickUp.Action🔗 Github
get-goalRetrieve a single goal from ClickUpAction🔗 Github
get-listRetrieve a single list from ClickUp.Action🔗 Github
get-spaceRetrieve a single space from ClickUpAction🔗 Github
get-taskRetrieve a single task from ClickUp.Action🔗 Github
get-time-entryRetrieve a single time entry from ClickUpAction🔗 Github
get-userRetrieve a single workspace member from ClickUp.Action🔗 Github
list-commentsList comments from ClickUpAction🔗 Github
list-foldersList folders from a ClickUp spaceAction🔗 Github
list-goalsList goals from ClickUpAction🔗 Github
list-listsList lists from ClickUpAction🔗 Github
list-spacesList spaces from ClickUpAction🔗 Github
list-tasksList tasks from a ClickUp list with optional filtering and paginationAction🔗 Github
list-time-entriesList time entries from ClickUpAction🔗 Github
list-usersList workspace members from ClickUpAction🔗 Github
update-commentUpdate a comment in ClickUp.Action🔗 Github
update-folderUpdate a folder in ClickUpAction🔗 Github
update-goalUpdate a goal in ClickUpAction🔗 Github
update-listUpdate a list in ClickUp.Action🔗 Github
update-spaceUpdate a space in ClickUp.Action🔗 Github
update-taskUpdate a task in ClickUpAction🔗 Github
update-time-entryUpdate a time entry in ClickUp.Action🔗 Github
commentsSync comments from ClickUpSync🔗 Github
foldersSync folders from ClickUp.Sync🔗 Github
goalsSync goals from ClickUpSync🔗 Github
listsSync lists from ClickUpSync🔗 Github
spacesSync spaces from ClickUp.Sync🔗 Github
tasksSync tasks from ClickUp.Sync🔗 Github
time-entriesSync time entries from ClickUpSync🔗 Github
usersSync workspace members from ClickUpSync🔗 Github

On this page